@value sm from "./breakpoints.css";

.navbar {
    display: grid;
    grid-template-columns: repeat(9, 1fr);
    grid-template-rows: 50px 1fr;
    align-items: center;
}

.logoSection {
    grid-column-start: 1;
}

.logo {
    margin: 0px;
    color: var(--main-color);
    font-size: 30px;
    font-weight: bolder;
}

.navLinks {
    grid-column-start: 2;
    grid-column-end: 7;
    padding: 0px 20px;
}

.navLinks > a {
    margin-left: 10px;
}

.navButton {
    grid-column-start: 7;
    grid-column-end: 10;
    display: flex;
    flex-direction: row;
    justify-content: end;
}

.navButton > button {
    margin-left: 10px;
}


.menuButton {
    height: 30px;
    width: 30px;
    display: none;
    grid-column-start: 9;
    grid-column-end: 10;
}

.menuButton > div {
    height: 2px;
    background-color: gray;
    width: 100%;
    margin-bottom: 10px;
}

#menu {
    position: fixed;
    background-color: white;
    width: 100%;
    height: 100%;
    top: 0px;
    right: -100%;
    z-index: 99;
    transition: 0.4s ease;
}

#menu > section {
    padding: 0px 20px;
}

@media screen and (max-width :870px) {
    .navLinks{
        display: none;
    }
    .navButton{
        display: none;
    }
    .menuButton {
        display: block;
    }
}



.card {
    overflow: hidden;
    width: 250px;
}

.card > img {
    border-radius: 10px;
    width: 100px;
}

.card > section {
    padding: 10px;
}